local flux = require "flux"

function love.load()

  circle = { x = 400, y = 300, size = 0, color = { 255, 255, 255 } }
  text = ""

  local function output(str) text = text .. str .. "\n" end

  flux.to(circle, 3, { size = 100 }):ease("expoout")
    :oncomplete(
      function()
        output("first tween finished")
        flux.to(circle, 3, { size = 0 }):ease("expoin")
          :oncomplete(
            function()
              output("second tween finished")
            end)
      end)

end


function love.update(dt)
  flux.update(dt)
end


function love.draw()
  love.graphics.setColor(unpack(circle.color))
  love.graphics.circle("fill", circle.x, circle.y, circle.size)
  love.graphics.print(text, 20, 20)
end
